
// this simple program uses the MSDOS cls style of command rather than
// the unix variant (clear) which is more cumbersome to type.

#include "stdio.h"
#include "stdlib.h"
#include <ctype.h>

void ClearScreen(void)
{
	 printf("%c%c", 0x1B, 'c'); // Reset Console
}

int main(int argc, char *argv[])
{
   register char *p;

   if (argc > 1)
   {
      p = (char *) argv[1];
      while (*p && *p == ' ') p++;
      if (!strcmp(p, "--help") || !strcmp(p, "--HELP"))
      {
         printf("usage:  cls <enter> clears the current screen\n");
         return 0;
      }
   }
   ClearScreen();
   return 0;
}
